/*

Typewriter

*/

.type{
    display: block;
    color: #225378;
    text-transform: uppercase;
    font-family: {{site.fonts}};
    font-size: 1.8em;
    font-weight: 300;

    margin: 0px;
    white-space: nowrap;
    overflow: hidden;
    animation: type 2s blink;
}


p.type:nth-child(2){
  animation: type2 0.01s steps(60, end);
}

p>a{
  text-decoration: underline;
}

span.blink{
  animation: blink 1s infinite;
}

@keyframes type{ 
  from { width: 0; } 
} 

@keyframes type2{
  0%{width: 0;}
  50%{width: 0;}
  100%{ width: 100; } 
} 

@keyframes blink{
  to{opacity: .0;}
}

/*
New Typewrite - letter-by-letter
 */

.letter-by-letter {
    display: block;
    color: black;
    font-family: {{site.fancyfont}}; /*'Waiting for the Sunrise', cursive;*/
    font-size: 4em;
    margin: 10px 50px;
    letter-spacing: 4px;
    font-weight: bold;
}

/*!
Scrollanimation
 */



@keyframes dash {
  to {
    stroke-dashoffset: 0;
  }
}

@keyframes draw {
  0% {
    fill-opacity: 0;
    stroke-dashoffset: 853;
  }
  90% {
    fill-opacity: 0;
    stroke: #000;
  }
  100% {
    fill-opacity: 1;
    stroke-dashoffset: 0;
    stroke: #000;
  }
}


/*
* Abbreviations as tooltips
 */

abbr, abbr[title], abbr[data-original-title] {
    cursor: context-menu;
    white-space: nowrap;

}


.tooltip {
  font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
  font-size: 16px;
  font-style: normal;
  font-weight: normal;
  line-height: 1.42857143;
  text-align: left;
  text-align: start;
  text-decoration: none;
  text-shadow: none;
  text-transform: none;
  letter-spacing: normal;
  word-break: normal;
  word-spacing: normal;
  word-wrap: normal;
  white-space: normal;
  /* ... */
}

.tooltip-inner {
  max-width: 250px;
  padding: 3px 8px;
  color: #fff;
  text-align: center;
  background-color:  #225378;
  border-color:  #225378;
  border-radius: 4px;
}

.fancyfont {
    font-family: {{site.fancyfont}} !important;
    color: #225378;
    font-weight: bold;
    line-height: 1.3;
    font-size: 3em;
    letter-spacing: 1px;
}

/*!
 * Start Bootstrap - Freelancer Bootstrap Theme (http://startbootstrap.com)
 * Code licensed under the Apache License v2.0.
 * For details, see http://www.apache.org/licenses/LICENSE-2.0.
 */

body {
    overflow-x: hidden;
	font-family: Lato, Arial;
    color: black;
    font-size: 18px;
	font-weight: 400;
    line-height: 1.75em;
}

pre {
    color: black;
}


.small {
    font-size: 16px;
}

a {
    color: #225378;
    font-weight: 700;
}

.post-content p:first-of-type {
    font-size: 26px;
    line-height: 36px;
    margin: 0 0 28px;
}

.post-content img {
    width: 100%;
}

blockquote {

    padding: 10.5px 21px;
    margin: 0 0 21px;
    font-size: 18.75px;
    border-left: none;

}

p.lead {
    margin: 20px auto 20px;
}
span.figure-caption {
	padding: 5%;
	font-size: 16px;
    font-weight: 500;
}
span.figure-caption-light {
	padding: 5%;
	font-size: 14px;
    font-weight: 300;
}

span.upper{
	text-transform: uppercase;
    font-weight: 100;
	font-size: 20px;
	color: #EB7F00;
	padding: 5px;
}


/* Form Control*/

.form-control {
    border-width: 1px;
    box-shadow: none;
    border-color: black;

}

/*--------------- ROWS ------------>*/


.embed-responsive.embed-responsive-4by3 {

min-width: 250px;
}
.embed-responsive.embed-responsive-16by9 {

min-width: 250px;
}

/* Headlines */

h1 {
    font-family: Arial;
    font-size: 42px;
    line-height: 44px;
    font-weight: bold;
}

h2 {
    font-size: 36px;
    line-height: 46px;
    font-weight: bold;
}

h3 {
    font-size: 30px;
    line-height: 46px;
    font-weight: bold;
}

h4 {
    font-size: 20px;
    line-height: 26px;
    font-weight: 700;
    text-transform: uppercase;
    letter-spacing: 0.0625em;

}

h5 {
    font-size: 20px;
    line-height: 26px;
    font-weight: 700;
    letter-spacing: 0.0625em;
}

h6 {
    font-size: 18px;
    line-height: 28px;
}


li.piclist img {
  float: left;
  margin: 0 15px 0 0;
}
 


 
li.piclist {
  overflow: auto;
  margin-bottom: 30px;
  margin-top: 30px;
}


ul.piclist {
  list-style-type: none;
  padding: 0;
  margin: 0;
}


hr {
    margin: 20px 0px;
    border: 0;
    border-top: solid 5px;
    text-align: center;
    border-color: #EB7F00;
}

.img-centered {
    margin: 0 auto;
}

header {
    text-align: center;
    /*color: #fff;*/
	padding-top: 5%;
	padding-bottom: 5%;
	/* height:100vh; */
	display:block;
	top:0;
	bottom:0;
	width: 100%;
    background: #fff;
}

header img {
    display: block;
    margin: auto;
	
}

li.page-scroll{
    font-size: 1.2em;
}

.navbar-brand {
    float: left;
    /*padding: 12px 15px;*/
    font-size: 19px;
    line-height: 21px;
    height: 60px;
}


.navbar {
    /*text-transform: uppercase;*/
    font-weight: 300;
}

.navbar a:focus {
    outline: 0;
}

.navbar .navbar-nav {
    letter-spacing: 1px;
}

.navbar .navbar-nav li a:focus {
    outline: 0;
}

.navbar-default {
	background-color: #fff;
    border: 0;
    font-weight: 700;
}

.navbar-default .navbar-brand, .icon-bar {
	color: #225378;
}

.navbar-default:hover .navbar-brand:hover {
	color: #EB7F00;
}

.navbar-default .navbar-toggle .icon-bar {
    background-color: #225378;
}

.navbar-default .navbar-nav>li>a {
    text-decoration: none;
    color: #225378;
}
.navbar-default .navbar-toggle .navbar-nav>li>a:hover {
    color: #EB7F00;
}

/* hover toggled navbar */

.navbar-default .navbar-toggle:hover, .navbar-default .navbar-toggle:focus {
    background-color: lightgray;
}

section {
    padding: 5vh 0vh;
}


section.header {
    padding-top: 20vh;
}



section.success {
    color: #fff;
    background: #163840;
}




.portfolio-item {
    right: 0;
    margin: 0 0 15px;
}

.portfolio-item .portfolio-link {
    display: block;
    position: relative;
    margin: 10px 0px;
    max-width: 400px;
}

.portfolio-item .portfolio-link .caption {
    position: absolute;
    width: 100%;
    height: 100%;
    opacity: 1;
    background: rgba(34, 83, 120,.4);
    -webkit-transition: all ease .5s;
    -moz-transition: all ease .5s;
    transition: all ease .5s;
}

.portfolio-item .portfolio-link .caption:hover {
    opacity: 1;
}

.portfolio-item .portfolio-link .caption .caption-content {
    position: center;
    top: 50%;
    width: 70%;
    height: 20px;
    margin-top: -12px;
	padding-bottom: 30px;
    text-align: center;
    font-size: 20px;
    color: white;
	background-color: rgba(34, 83, 120,.99); 
}

.portfolio-item .portfolio-link .caption .caption-content i {
    margin-top: -12px;
}

.portfolio-item .portfolio-link .caption .caption-content h3,
.portfolio-item .portfolio-link .caption .caption-content h4 {
    margin: 0;
}

.btn-outline {
    margin-top: 15px;
    border: solid 2px #fff;
    font-size: 20px;
    color: #fff;
    background: 0 0;
    transition: all .3s ease-in-out;
}

.btn-outline:hover,
.btn-outline:focus,
.btn-outline:active,
.btn-outline.active {
    border: solid 2px #fff;
    color: #225378;
    background: #000000;
}


.btn-success {
    background-color: #fff;
    border-color: #233140;
	color: #233140;
}

.btn-success:hover{
    color: #ffffff;
    background-color: #233140;
    border-color: #233140;
}

/*.btn-link{*/
/*    background-color: #fff;*/
/*	color: #225378;*/
/*}*/

/*.btn-link:hover{*/
/*    color: #ffffff;*/
/*    background-color: #225378;*/
/*    border-color: #225378;*/
/*}*/


.floating-label-form-group {
    position: relative;
    margin-bottom: 0;
    padding-bottom: .5em;
    border-bottom: 1px solid #eee;
}

.floating-label-form-group input,
.floating-label-form-group textarea {
    z-index: 1;
    position: relative;
    padding-right: 0;
    padding-left: 0;
    border: 0;
    border-radius: 0;
    font-size: 1.5em;
    background: 0 0;
    box-shadow: none!important;
    resize: none;
}

.floating-label-form-group label {
    display: block;
    z-index: 0;
    position: relative;
    top: 2em;
    margin: 0;
    font-size: .85em;
    line-height: 1.764705882em;
    vertical-align: middle;
    vertical-align: baseline;
    opacity: 0;
    -webkit-transition: top .3s ease,opacity .3s ease;
    -moz-transition: top .3s ease,opacity .3s ease;
    -ms-transition: top .3s ease,opacity .3s ease;
    transition: top .3s ease,opacity .3s ease;
}

.floating-label-form-group::not(:first-child) {
    padding-left: 14px;
    border-left: 1px solid #eee;
}

.floating-label-form-group-with-value label {
    top: 0;
    opacity: 1;
}

.floating-label-form-group-with-focus label {
    color: #163840;
}

form .row:first-child .floating-label-form-group {
    border-top: 1px solid #eee;
}

footer {
    color: #fff;
	font-weight: 100;
}

footer h3 {
    margin-bottom: 8px;
	font-size: 15px;
}

footer a {
    color: #fff;
}

footer a:hover {
    color: #EB7F00;
}

footer .footer-above {
    padding-top: 50px;
    background-color: #1E1E20;
}

footer .footer-col {
    margin-bottom: 50px;
}

footer .footer-below {
    padding: 2px 0;
    background-color: #233140;
}

.btn-social {
    display: inline-block;
    width: 50px;
    height: 50px;
    border: 2px solid #fff;
    border-radius: 100%;
    text-align: center;
    font-size: 20px;
    line-height: 45px;
}

.btn:focus,
.btn:active,
.btn.active {
    outline: 0;
}

.scroll-top {
    z-index: 1049;
    position: fixed;
    right: 2%;
    bottom: 2%;
    width: 50px;
    height: 50px;
}

.scroll-top .btn {
    width: 50px;
    height: 50px;
    border-radius: 100%;
    font-size: 20px;
    line-height: 28px;
}

.scroll-top .btn:focus {
    outline: 0;
}

.portfolio-modal .modal-content {
    padding: 100px 0;
    min-height: 100%;
    border: 0;
    border-radius: 0;
    text-align: center;
    background-clip: border-box;
    -webkit-box-shadow: none;
    box-shadow: none;
}

.portfolio-modal .modal-content h2 {
    margin: 0;
    font-size: 3em;
}

.portfolio-modal .modal-content img {
    margin-bottom: 30px;
}





.img-logo {
    display: center;
    width: auto;
	height: 200px;
    
}

.full_row{
vertical-align: middle;
width:100%;
    display: inline-block;
    height:50%;
    position: absolute;
    top: 0;
    bottom:0%;
    margin: auto;
}

.portfolio-modal .modal-content .item-details {
    margin: 30px 0;
}

.post-content{
	text-align: left;
	vertical-align: left;
	margin-bottom: 30px;
	margin-top: 30px;
}




.portfolio-modal .close-modal {
    position: fixed !important;
	z-index: 1;
    top: 25px;
    right: 25px;
    width: 75px;
    height: 75px;
    background-color: transparent;
    cursor: pointer;
}

.portfolio-modal .close-modal:hover {
    opacity: .3;
}

.portfolio-modal .close-modal .lr {
    z-index: 1051;
    width: 1px;
    height: 75px;
    margin-left: 35px;
    background-color: #1E1E20;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}

.portfolio-modal .close-modal .lr .rl {
    z-index: 1052;
    width: 1px;
    height: 75px;
    background-color: #1E1E20;
    -webkit-transform: rotate(90deg);
    -ms-transform: rotate(90deg);
    transform: rotate(90deg);
}

.navbar-nav>.active>a {
	font-weight: 700;
	color: #EB7F00 !important;
	background-color: #fff !important;
	text-decoration: none;
    border-bottom: 5px solid #EB7F00;
}

/* Fix modal mouse wheel issues */
/* https://github.com/twbs/bootstrap/issues/16297 */
.modal.fade.in {
    transform: translateZ(0);
    -webkit-transform: translateZ(0);
}



/*
TABLES
*/



table {
  width: 100%;
  padding: 0;
  border-collapse: collapse;
  border-spacing: 0;
  font-size: 1em;
  font: inherit;
  border: 0;
}

tbody {
  margin: 0;
  padding: 0;
  border: 0;
}

table tr {
  border: 1px solid #CCC;
}

table tr:nth-child(2n) {
  background-color: rgba(68,68,68,0.72);
}

table tr th, table tr td {
  font-size: 1em;
  border: 1px solid #CCC !important;
  margin: 0;
  padding: 0.5em 1em;
}

table tr th	 {
 font-weight: bold;
  background-color: #CCC;
}

/* Debugging for edge cases */
.img-responsive{
    display: block;
    margin-left: auto;
    margin-right: auto;
    min-width: 250px;
    height: auto;
}


    div.animation {
        text-align: center;
        vertical-align: middle;
    }

@media(max-width:768px){
    .letter-by-letter {
        display: none;
    }

    header .intro-text .name {
        display: none;
    }

    header .container {
        padding-top: 15%;
        padding-bottom: 0px;
    }
    .col-md-4.svg{
        width: 150px;
    }

    .letter-by-letter {
    font-size: 3em;
    }

    .fancyfont {
        font-size: 2em;
        text-align: center;
    }
    .animation svg {
      display: block;
        width: 100%;
      margin-top: 40px;
      margin-bottom: 40px;

    }


    .svg-responsive {
        display: block;
        margin-left: auto;
        margin-right: auto;
        max-width: 250px;
        height: auto;
    }

}


@media(min-width:768px) {

    header .container {
        padding-top: 20vh;
        padding-bottom: 0px;
    }

    header .intro-text .name {
        font-size: 2.75em;
    }

    /*header .intro-text .skills {*/
    /*    font-size: 1.75em;*/
    /*}*/



    .vertical-align {
    /*Align elements in a bootstrap row vertically*/
    display: flex;
    align-items: center;
    margin-top: 2%;
    }

    .vertical-align-big-video {
    /*Align elements in a bootstrap row vertically*/
    padding-right: 15%;
    padding-left: 15%;
    align-items: center;
    margin-top: 2%;
    }


    /*.img-logo{*/
        /*margin-top: 10%;*/
    /*}*/

    .navbar-fixed-top {
        padding: 25px 0;
        -webkit-transition: padding .3s;
        -moz-transition: padding .3s;
        transition: padding .3s;
    }

    .navbar-fixed-top .navbar-brand  {
        font-size: 2em;
        -webkit-transition: all .3s;
        -moz-transition: all .3s;
        transition: all .3s;
    }



    .navbar-fixed-top.navbar-shrink {
        padding: 10px 0;
    }

    .navbar-fixed-top.navbar-shrink .navbar-brand {
        font-size: 1.5em;
    }
    .animation svg {
      display: block;
        width: 100%;

    }
    .img-responsive {
        display: block;
        margin-left: auto;
        margin-right: auto;
        max-width: 250px;
        height: auto;
    }

}

/*@media(min-width:1024px) {*/


    /*header {*/
        /*height: 95vh;*/
    /*}*/
/*}*/

@media only screen
and (max-device-width : 1024px)
and (orientation : landscape) {
    .letter-by-letter{
        display: none;
    }
    header .container {
        /*padding-top: 25vh;*/
        padding-bottom: 0px;
    }
    abbr, abbr[title], abbr[data-original-title] {
        text-decoration: none;
        border-bottom: 1px dotted #fff;
        /*white-space: nowrap;*/
    }


    .animation img {
    width: 250px;
    }
    .animation svg {
      display: block;
      /*min-width: 50%;*/
        max-height: 200px;
      margin-top: 40px;
      margin-bottom: 40px;

    }

    .img-responsive {
        display: block;
        margin-left: auto;
        margin-right: auto;
        max-width: 250px;
        height: auto;
    }




}



/* shadow for svg */
.bob {
  -webkit-filter: drop-shadow( 5px 5px 2px rgba(0, 0, 0, .7));
  filter: drop-shadow( 5px 5px 2px rgba(0, 0, 0, .7));
  /* Similar syntax to box-shadow */
}

.highlight-red{
    fill: #225378;
    font-weight: bold;
    text-shadow: #{{site.color.secondary}} -0em  0em 1.5em,
                                           -0.2em 0.2em 0.5em #{{site.color.secondary}},
                                            0.2em -0.2em 0.5em #{{site.color.secondary}}

}
.highlight-green {
    fill: #225378;
    font-weight: bold;
    text-shadow: #{{site.color.secondary}} -0em  0em 1.5em,
                                           -0.2em 0.2em 0.5em #{{site.color.secondary}},
                                            0.2em -0.2em 0.5em #{{site.color.secondary}}

}

.dont-show{
    display: none;
}